OpenObserve Docs
ReferenceApiFunctions

List functions

Updated View MarkdownOpen in ChatGPTOpen in Claude

Endpoint: GET /api/{organization}/functions

Request

None

Response

{
	"list": [
		{
			"function": ".env = \"prod\"\n.",
			"name": "add_env",
			"params": "row",
			"numArgs": 1,
			"transType": 0
		}
	]
}

Description

Field nameData typeDefault valueDescription
namestring-the function name
functionstring-function body
paramsstring-function parameters
numArgsint-the number of parameters of the function
transTypeint00 = VRL, 1 = JavaScript
streamsarray-streams the function is applied to, with stream, order, streamType; omitted when empty
Was this page helpful?

On this page